import request from '@/utils/request'

// 获取用户个人信息
export function getAllAdminUser() {
  return request({
    url: '/admin_user/manager',
    method: 'get'
  })
}

// 添加用户信息
export function addUser(data) {
  return request({
    url: '/admin_user/add',
    method: 'post',
    data: data
  })
}

// 修改用户信息
export function updateUser(data) {
  return request({
    url: '/admin_user/edit',
    method: 'post',
    data: data
  })
}

// 修改密码
export function updatePass(parms) {
  return request({
    url: '/admin_user/update/psw',
    method: 'post',
    params: parms
  })
}

// 发送邮箱验证码
export function delUser(parms) {
  return request({
    url: '/admin_user/delete',
    method: 'post',
    params: parms
  })
}

// 获取角色列表信息
export function getAllAdminRole() {
  return request({
    url: '/admin_user/manager/role',
    method: 'get'
  })
}

// 添加角色信息
export function addRole(data) {
  return request({
    url: '/admin_user/add/role',
    method: 'post',
    data: data
  })
}

// 修改角色信息
export function updateRole(data) {
  return request({
    url: '/admin_user/edit/role',
    method: 'post',
    data: data
  })
}

// 获取用户权限信息
export function getUserPrivilege(parms) {
  return request({
    url: '/admin_user/load/user_pri',
    method: 'get',
    params: parms
  })
}
export function getRolePrivilege(parms) {
  return request({
    url: '/admin_user/load/role_pri',
    method: 'get',
    params: parms
  })
}

// 修改权限
export function settingPrivilege(data) {
  return request({
    url: '/admin_user/setting/privilege',
    method: 'post',
    data: data
  })
}
